POST api/Insured/InsuredAgencyLocation
Insured agency locations list endpoint.
Request Information
URI Parameters
None.
Body Parameters
List of insured database Ids.
InsuredDataBaseIds| Name | Description | Type | Additional information |
|---|---|---|---|
| InsuredDataBaseId | Collection of globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"insuredDataBaseId": [
"c8089941-0d40-46d6-bbc0-8e51ff593da7",
"d5eca6ae-0e9b-4b0e-8355-5c2f67e3832d"
]
}
application/xml, text/xml
Sample:
<InsuredDataBaseIds xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.OData">
<InsuredDataBaseId xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:guid>c8089941-0d40-46d6-bbc0-8e51ff593da7</d2p1:guid>
<d2p1:guid>d5eca6ae-0e9b-4b0e-8355-5c2f67e3832d</d2p1:guid>
</InsuredDataBaseId>
</InsuredDataBaseIds>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
List of InsuredAgencyLocation against given insured database Ids.
InsuredAgencyLocation| Name | Description | Type | Additional information |
|---|---|---|---|
| DatabaseId | globally unique identifier |
None. |
|
| LocationName | string |
None. |
|
| LocationBusinessName | string |
None. |
|
| InsuredDatabaseId | globally unique identifier |
None. |
Response Formats
application/json, text/json
Sample:
{
"databaseId": "63f57c22-f793-469e-9cf8-7826bd84e813",
"locationName": "sample string 2",
"locationBusinessName": "sample string 3",
"insuredDatabaseId": "618a3d39-9460-415c-9cc1-970afbe08a41"
}
application/xml, text/xml
Sample:
<InsuredAgencyLocation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum"> <DatabaseId>63f57c22-f793-469e-9cf8-7826bd84e813</DatabaseId> <InsuredDatabaseId>618a3d39-9460-415c-9cc1-970afbe08a41</InsuredDatabaseId> <LocationBusinessName>sample string 3</LocationBusinessName> <LocationName>sample string 2</LocationName> </InsuredAgencyLocation>